Package org.eclipse.net4j.util.om.job

## Class OMJob

- java.lang.Object
- - org.eclipse.net4j.internal.util.om.InternalOMJob
  - - org.eclipse.net4j.util.om.job.OMJob

-     public abstract class OMJob
      extends org.eclipse.net4j.internal.util.om.InternalOMJob

  Since:
    3.13
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `OMJob​(java.lang.String name)` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `cancel()` |
    `java.lang.String` | `getName()` |
    `boolean` | `isSystem()` |
    `protected abstract IStatus` | `run​(IProgressMonitor monitor)` |
    `void` | `schedule()` |
    `void` | `setName​(java.lang.String name)` |
    `void` | `setSystem​(boolean system)` |

    - ### Methods inherited from class org.eclipse.net4j.internal.util.om.InternalOMJob

      `internalCancel, internalSchedule`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OMJob

          public OMJob​(java.lang.String name)

  - ### Method Detail

    - #### getName

          public final java.lang.String getName()

      Overrides:
        `getName` in class `org.eclipse.net4j.internal.util.om.InternalOMJob`

    - #### setName

          public final void setName​(java.lang.String name)

      Overrides:
        `setName` in class `org.eclipse.net4j.internal.util.om.InternalOMJob`

    - #### isSystem

          public final boolean isSystem()

      Overrides:
        `isSystem` in class `org.eclipse.net4j.internal.util.om.InternalOMJob`

    - #### setSystem

          public final void setSystem​(boolean system)

      Overrides:
        `setSystem` in class `org.eclipse.net4j.internal.util.om.InternalOMJob`

    - #### schedule

          public final void schedule()

    - #### cancel

          public final void cancel()

    - #### run

          protected abstract IStatus run​(IProgressMonitor monitor)

      Specified by:
        `run` in class `org.eclipse.net4j.internal.util.om.InternalOMJob`